Subject: Re: Problem running "g++ --help"
From: [email-masked] (Steve Dum)

30 May 1997 10:28:31 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked] (Robert Svagera)
Original-cc: [email-masked], [email-masked]
In-reply-to: Your message of "Thu, 29 May 1997 14:05:01 PDT."
             <"mr.tuwien..194: 29.05.97.14.05.01"@mr.tuwien.ac.at> 
Original-Sender: [email-masked]

the problem is that --help isn't an option that g++ recognizes.
So when you type in g++ --help, the g++ driver just calls 'ld' to
link the 'application'.  ld looks at the list of object modules 
finds a main in libcygwin.a (in libcmain.o), but then complains because
winmain is not defined - which is true, since there are no object modules
included.  The  closest to a g++ --help is g++ -v which only prints out the
version of g++.
steve

In message <"mr.tuwien..194:29.05.97.14.05.01"@mr.tuwien.ac.at>you write:
>At 09:13 PM 27/5/97, James Paul Morgan wrote:
>>
>>Under 17.1, I get this error with this rather amusing path:
>>
>>bash$ g++ --help
>>/usr/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-961023/..
>>/../../../i386-cygwin32/lib/libcygwin.a(libcmain.o): In function `main':
>>/pizza/mushroom/noer/beta17/src/winsup/libcmain.cc:30: undefined 
>>reference to `WinMain@16'
>>
>I have the same problem with 'g++ --help' or simply 'g++' under B18/Win95.
>On the other side I can compile small programs like
>
>  #include <iostream.h>
>
>  main()
>  {
>    cout << "Hello there GNU++ world!\n";
>  }
>
>with the command line
>
>  g++ -o testpp.exe testpp.cpp
>
>when doing this on a local drive. If testpp.cpp is stored on a 
>network drive, I again receive 
>
>D:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040
>4\../../../../i386-cygwin32\lib/libcygwin.a(libcmain.o)(.text+0x1e):libcmain
>.cc: undefined reference to `WinMain@16'
>g++: Internal compiler error: program ld got fatal signal 1
>
>Any hint?
>
>Thank you in advance,
>Robert
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".